Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.preference
Interface IPreferencePageContainer

All Known Implementing Classes:
  PreferenceDialog

public interface IPreferencePageContainer

An interface used by a preference page to talk to its dialog.

Method Summary
`IPreferenceStore` | `getPreferenceStore()` Returns the preference store.
`void` | `updateButtons()` Adjusts the enable state of the OK button to reflect the state of the currently active page in this container.
`void` | `updateMessage()` Updates the message (or error message) shown in the message line to reflect the state of the currently active page in this container.
`void` | `updateTitle()` Updates the title to reflect the state of the currently active page in this container.

Method Detail

### getPreferenceStore

    public IPreferenceStore getPreferenceStore()

  Returns the preference store.

  Returns:
    the preference store, or `null` if none

### updateButtons

    public void updateButtons()

  Adjusts the enable state of the OK button to reflect the state of the currently active page in this container.

  This method is called by the container itself when its preference page changes and may be called by the page at other times to force a button state update.

### updateMessage

    public void updateMessage()

  Updates the message (or error message) shown in the message line to reflect the state of the currently active page in this container.

  This method is called by the container itself when its preference page changes and may be called by the page at other times to force a message update.

### updateTitle

    public void updateTitle()

  Updates the title to reflect the state of the currently active page in this container.

  This method is called by the container itself when its page changes and may be called by the page at other times to force a title update.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.